<!-- -------------------- ./mgmt/multisign_return.html -------------------- -->

<?php if ( $this->SIGNRES == "done" ): ?>
<div class="fr-alert fr-alert--success">
  <h3 class="fr-alert__title"><i class="fas fa-signature"></i>&nbsp;Signature et/ou Refus acceptée !</h3>

  <?php if ( $this->OPERATIONS['signed'] >=1  ): ?>
    <p>Signature des <strong><?php echo $this->OPERATIONS['signed']; ?></strong> fichier(s) en cours, cela peut prendre un certain temps. vous trouverez les fichiers signés dans leur dossiers correspondants.</p>
  <?php endif; ?>
  <?php if ( $this->OPERATIONS['refused'] >=1  ): ?>
    <p>&nbsp;Des annotations pour les <strong><?php echo $this->OPERATIONS['refused']; ?></strong> refus seront crées dans chacun des porte-documents correspondant aux fichiers selectionnés.</p>
  <?php endif; ?>
<?php endif; ?>

<?php if ( $this->SIGNRES == "baddata" ): ?>
<div class="fr-alert fr-alert--error">
  <h3 class="fr-alert__title"><i class="fas fa-signature"></i>&nbsp;Echec de Signature !</h3>
  <p class="text-danger">&nbsp;les données pour la signature sont incomplètes ou erronées.</p>
</div>
<?php endif; ?>

<?php if ( $this->SIGNRES == "codebad" ): ?>
  <div class="fr-alert fr-alert--error">
    <h3 class="fr-alert__title"><i class="fas fa-signature"></i>&nbsp;Echec de Signature</h3>
    <p>Le code secret est erroné.</p>
  </div>
<?php endif; ?>

<?php if ( $this->SIGNRES == "codeold" ): ?>
  <div class="fr-alert fr-alert--error">
    <h3 class="fr-alert__title"><i class="fas fa-signature"></i>&nbsp;Echec de Signature !</h3>
    <p class="text-danger">&nbsp;Le code secret est périmé !</p>
  </div>
<?php endif; ?>

<?php if ( $this->SIGNRES == "nosel" ): ?>
  <div class="fr-alert fr-alert--warning">
  <?php if ( $this->ACTION == "sign" ): ?>
  <h3 class="fr-alert__title"><i class="fas fa-signature"></i>&nbsp;Signature des documents !</h3>
  <?php endif; ?>
  <?php if ( $this->ACTION == "multi" ): ?>
   <h3 class="fr-alert__title"><i class="fas fa-signature"></i>&nbsp;Signature/Refus des documents !</h3>
  <?php endif; ?>
  <?php if ( $this->ACTION == "refuse" ): ?>
   <h3 class="fr-alert__title"><i class="fas fa-times-circle"></i>&nbsp;Refus de signature !</h3>
  <?php endif; ?>
  <?php if ( $this->ACTION == "abort" ): ?>
   <h3 class="fr-alert__title"><i class="fas fa-trash"></i>&nbsp;Annulation de signature !</h3>
  <?php endif; ?>
    <p>Vous n'avez sélectionné aucun document.</p>
  </div>
<?php endif; ?>

<?php if ( $this->SIGNRES == "refused" ): ?>
  <div class="fr-alert fr-alert--success">
    <h3 class="fr-alert__title"><i class="fas fa-times-circle"></i>&nbsp;Signature refusée !</h3>
    <p class="text-info">&nbsp;Des annotations de refus seront crées dans chacun des porte-documents correspondant aux fichiers selectionnés.</p>
  </div>
<?php endif; ?>
